Name: m4
Version: 1.4.1
Release: alt2

Summary: The GNU macro processor
License: GPL
Group: Development/Other
Url: ftp://ftp.gnu.org/gnu/%name

Source: %url/%name-%version.tar.bz2
Source1: m4.m4

Patch1: %name-1.4-alt-texinfo.patch
Patch2: %name-1.4.1-alt-format.patch
Patch3: %name-1.4.1-alt-use_glibc.patch
Requires(post,preun): %__install_info

BuildPreReq: autoconf = 2.13

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs %name for generating configure scripts, but
not for running configure scripts.

Install %name if you need a macro processor.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
pushd lib
%__rm -f getopt.h libintl.h obstack.h
popd

%build
export AUTOCONF=autoconf_2.13
export AUTOHEADER=autoheader_2.13

$AUTOCONF
%configure
%make_build
make check

%install
%makeinstall INSTALL_DATA="%__install -p -m644"
install -pD -m644 %SOURCE1 $RPM_BUILD_ROOT%_datadir/aclocal/%name.m4

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%_bindir/*
%_infodir/*.info*
%_datadir/aclocal/*
%doc NEWS README BACKLOG THANKS ChangeLog

%changelog
* Fri Oct 04 2002 Dmitry V. Levin <ldv@altlinux.org> 1.4.1-alt2
- Explicitly use autoconf-2.13 for build.
- Use getopt, error, libintl, obstack implementations from
  glibc rather then build them statically here
- Added m4.m4 from autoconf-2.54 (Alexey Morozov).
- Additional convention enforcement on patch file names.

* Thu Oct 25 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.4.1-alt1
- 1.4.1

* Wed Feb 07 2001 Dmitry V. Levin <ldv@fandra.org> 1.4-ipl20mdk
- Fixed format string bug.

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 1.4-ipl19mdk
- RE adaptions.
- Patched siginfo stuff.
- Fixed texinfo documentation.

* Thu Dec  7 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.4-19mdk
- Run automated tests at build time
- Use RPM_OPT_FLAGS.  Damn, who forgot that one.

* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4-18mdk
- build for gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4-17mdk
- BM

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4-16mdk
- spechelper fixes
- group fix

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.
- Fix building as user.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added info file handling and BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

